libzypp 17.38.15

ZConfig.cc File Reference
`#include <cstdlib>`
`#include <iostream>`
`#include <optional>`
`#include <map>`
`#include <zypp-core/APIConfig.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/base/IOStream.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp-core/base/Errno.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Regex.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp-core/parser/EconfDict>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp-media/MediaConfig>`

Go to the source code of this file.

## Classes
struct | zypp::Option< Tp >
| Mutable option. More...
struct | zypp::DefaultOption< Tp >
| Mutable option with initial value also remembering a config value. More...
class | zypp::ZConfig::Impl
| ZConfig implementation. More...
struct | zypp::ZConfig::Impl::TargetDefaults
| Settings that follow a changed Target. More...
struct | zypp::ZConfig::Impl::MultiversionMap

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zconfig"

## Functions
std::optional< Pathname > | zypp::env::ZYPP_CONF ()

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zconfig"

Definition at line 39 of file ZConfig.cc.